%define name		jacorb
%define version		2.2
%define release		%mkrel 3.1
%define section		devel
%define gcj_support	1

Summary:	Free Java implementation of OMG's CORBA standard
URL:		http://www.jacorb.org/
Source0:	JacORB_2_2-full-RHCLEAN.tar.bz2
Patch1:		%{name}-removeeditor.patch.bz2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Java
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	antlr
BuildRequires:	concurrent
BuildRequires:	tanukiwrapper
BuildRequires:	avalon-framework
BuildRequires:	avalon-logkit
BuildRequires:	gjdoc
Requires:	jpackage-utils >= 0:1.5
Requires:	concurrent
Requires:	tanukiwrapper
Requires:	avalon-framework
Requires:	avalon-logkit
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# libgcj aot-compiled native libraries
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 0:1.0.34
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%endif

%description
- high-performance, fully multithreaded ORB 
- IDL compiler, supports OMG IDL/Java language mapping 
  rev. 2.3, OBV 
- native IIOP, GIOP 1.2 and Bidirectional GIOP 
- POA (Portable Object Adapter) 
- AMI (Asynchronous Method Invocations) 
- ETF (Extensible Transport Framework) 
- POAMonitor, a GUI tools that lets you inspect your 
  object adapters (screenshot) 
- Dynamic Invocation Interface (DII) and Dynamic Skeleton 
  Interface (DSI) 
- Dynamic Management of Anys (DynAny) 
- Portable Interceptors (standard) 
- OMG Interoperable Naming Service 
- NameManager, a GUI browser for the name service 
  (requires Swing or JDK 1.2) (screenshot) 
- improved IIOP over SSL, includes KeyStoreManager 
- OMG Notification  and Event service 
- Transaction Service, Collection and Concurrency services 
- TradingService (supports trader links), an extension of 
  Mark Spruiell's free JTrader 
- CORBA 2.3 Code set support 
- Appligator, an IIOP proxy 
- Support for HTTP tunneling 
- Domain Manager, an object domain management service, 
  includes a domain browser GUI 
- Interface Repository 
- IRBrowser, a GUI front end for the Interface Repository
- Implementation Repository 
- Implementation Repository Manager, a GUI front end for 
  the Implementation Repository 
- IDL and Java source for all CORBA/COSS interfaces 
- examples and full source code included 
- 100% pure Java, JDK 1.3 and 1.4 compatible, also cooperates 
  with Sun's JDK 1.2 classes (releases prior to 1.4 are 
  compatible with JDK 1.1) 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
%{summary}

%package manual
Summary:        Documents for %{name}
Group:          Development/Java

%description manual
%{summary}

%package demo
Summary:        Usage examples for %{name}
Group:          Development/Java

%description demo
%{summary}

%prep
%setup -q -n JacORB_2_2
%patch1 -p1
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath \
antlr \
concurrent \
tanukiwrapper \
avalon-framework \
avalon-logkit
)
%ant -Dbuild.sysclasspath=first all doc

%install
rm -rf $RPM_BUILD_ROOT

# remove DOS files
find . -name "*.exe" -exec rm {} \;
find . -name "*.bat" -exec rm {} \;

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
install -p -m 0644 lib/idl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/idl-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# extension symlink for java-1.4.2-gcj-compat
mkdir -p $RPM_BUILD_ROOT%{_jvmdir}/java-1.4.2-gcj-1.4.2.0/jre/lib
ln -s %{_javadir}/%{name}/%{name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_jvmdir}/java-1.4.2-gcj-1.4.2.0/jre/lib/%{name}.jar

# bin, etc, idl
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
cp -pr bin/*   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
cp -pr etc/*   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/idl
cp -pr idl/*   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/idl

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf doc/api

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc
cp index.html   $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/*   $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc

# demo
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db

%postun
%{_bindir}/rebuild-gcj-db
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_docdir}/%{name}-%{version}/doc/LICENSE
%dir %{_datadir}/%{name}-%{version}/bin
%attr(0755,root,root) %{_datadir}/%{name}-%{version}/bin/*
%{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/idl
%{_jvmdir}/java-1.4.2-gcj-1.4.2.0/jre/lib/%{name}.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/demo

%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:2.2-3.1mdk
- release

* Tue Jul 19 2005 Gary Benson <gbenson@redhat.com> 0:2.2-3jpp_3fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm (also BC-compiles idl jarfile).
- Add symbolic link in libgcj's extension directory.

* Mon Jun 27 2005 Gary Benson <gbenson@redhat.com> 0:2.2-3jpp_2fc
- BC-compile the main jarfile.

* Wed Jun 15 2005 Gary Benson <gbenson@redhat.com> 0:2.2-3jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Mon Jun  6 2005 Gary Benson <gbenson at redhat.com>
- Avoid an API hole in libgcj's Swing implementation.

* Mon Dec 20 2004 Fernando Nasser <fnasser at redhat.com> 0:2.2-3jpp_1rh
- First Red Hat Release

* Sat Dec 04 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-3jpp
- Include contents of bin, etc, idl
- TODO: which files from bin should go into _bindir

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.2-2jpp
- Rebuild with ant-1.6.2

* Fri Jul 30 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-1jpp
- First JPackage release
